Bug 648229

Summary: yum update
Product: Red Hat Enterprise Linux 5 Reporter: Tom V <halifaxnet>
Component: yumAssignee: packaging-team-maint
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: low    
Version: 5.8CC: james.antill
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-14 15:24:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tom V 2010-10-31 11:53:48 EDT
Description of problem: yum error


Linux server 2.6.18-194.11.3.el5 #1 SMP Mon Aug 30 16:23:24 EDT 2010 i686 athlon i386 GNU/Linux



after running : yum update

got this (look on end of the report)

Transaction Summary
================================================================================
Install      28 Package(s)
Upgrade      91 Package(s)
Remove        2 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Total download size: 196 M
Is this ok [y/N]: y
Downloading Packages:
http://apt.sw.be/redhat/el5/en/i386/rpmforge/RPMS/perl-Crypt-PasswdMD5-1.3-1.2.e l5.rf.noarch.rpm: [Errno 4] IOError: <urlopen error (-2, 'Name or service not kn own')>
Trying other mirror.
http://fr2.rpmfind.net/linux/dag/redhat/el5/en/i386/rpmforge/RPMS/perl-Crypt-Pas swdMD5-1.3-1.2.el5.rf.noarch.rpm: [Errno 4] IOError: <urlopen error (-2, 'Name o r service not known')>
Trying other mirror.
(1/119): perl-Crypt-PasswdMD5-1.3-1.2.el5.rf.noarch.rpm  | 9.9 kB     00:00
(2/119): perl-Test-Pod-1.44-1.el5.rf.noarch.rpm          |  13 kB     00:00
(3/119): perl-HTML-Tagset-3.20-1.el5.rf.noarch.rpm       |  14 kB     00:00
(4/119): perl-Pod-Escapes-1.04-1.2.el5.rf.noarch.rpm     |  15 kB     00:00
(5/119): perl-Email-Date-Format-1.002-1.el5.rf.noarch.rp |  16 kB     00:00
(6/119): perl-XML-NamespaceSupport-1.11-1.el5.rf.noarch. |  16 kB     00:00
(7/119): perl-Geography-Countries-2009041301-1.el5.rf.no |  17 kB     00:00
(8/119): perl-IO-Socket-INET6-2.57-2.el5.rf.noarch.rpm   |  17 kB     00:00
(9/119): perl-IO-Zlib-1.10-1.el5.rf.noarch.rpm           |  17 kB     00:00
(10/119): perl-Net-Ident-1.23-1.el5.rf.noarch.rpm        |  25 kB     00:00
(11/119): perl-Error-0.17016-1.el5.rf.noarch.rpm         |  28 kB     00:00
(12/119): perl-TimeDate-1.16-5.el5.noarch.rpm            |  32 kB     00:00
(13/119): bzip2-libs-1.0.3-6.el5_5.i386.rpm              |  37 kB     00:00
(14/119): bzip2-devel-1.0.3-6.el5_5.i386.rpm             |  39 kB     00:00
(15/119): perl-Crypt-OpenSSL-Random-0.04-1.el5.rf.i386.r |  39 kB     00:00
(16/119): logrotate-3.7.4-9.el5_5.1.i386.rpm             |  40 kB     00:00
(17/119): perl-Convert-ASN1-0.22-1.el5.rf.noarch.rpm     |  46 kB     00:00
(18/119): perl-Socket6-0.23-1.el5.rf.i386.rpm            |  49 kB     00:00
(19/119): bzip2-1.0.3-6.el5_5.i386.rpm                   |  49 kB     00:00
(20/119): postgresql-python-8.1.22-1.el5_5.1.i386.rpm    |  54 kB     00:00
(21/119): perl-IO-Socket-SSL-1.33-1.el5.rf.noarch.rpm    |  56 kB     00:00
(22/119): perl-BSD-Resource-1.2903-1.el5.rf.i386.rpm     |  57 kB     00:00
(23/119): rpm-python-4.4.2.3-20.el5_5.1.i386.rpm         |  60 kB     00:00
(24/119): perl-Crypt-OpenSSL-RSA-0.26-1.el5.rf.i386.rpm  |  61 kB     00:00
(25/119): poppler-utils-0.5.4-4.4.el5_5.14.i386.rpm      |  73 kB     00:00
(26/119): perl-Digest-SHA1-2.13-1.el5.rf.i386.rpm        |  74 kB     00:00
(27/119): popt-1.10.2.3-20.el5_5.1.i386.rpm              |  74 kB     00:00
(28/119): expat-1.95.8-8.3.el5_5.3.i386.rpm              |  77 kB     00:00
(29/119): perl-XML-SAX-0.96-1.el5.rf.noarch.rpm          |  79 kB     00:00
(30/119): apr-util-1.2.7-11.el5_5.1.i386.rpm             |  80 kB     00:00
(31/119): mtr-0.80-1.el5.rf.i386.rpm                     |  85 kB     00:00
(32/119): perl-Digest-SHA-5.48-1.el5.rf.i386.rpm         |  89 kB     00:00
(33/119): perl-MIME-Lite-3.027-1.el5.rf.noarch.rpm       |  96 kB     00:00
(34/119): udftools-1.0.0b3-3.el5.rf.i386.rpm             |  98 kB     00:00
(35/119): perl-MailTools-2.07-1.el5.rf.noarch.rpm        |  99 kB     00:00
(36/119): perl-version-0.85-1.el5.rf.i386.rpm            | 105 kB     00:00
(37/119): perl-Compress-Raw-Bzip2-2.031-1.el5.rf.i386.rp | 108 kB     00:00
(38/119): nspr-devel-4.8.6-1.el5_5.i386.rpm              | 112 kB     00:00
(39/119): perl-Razor-Agent-2.84-1.el5.rf.i386.rpm        | 119 kB     00:00
(40/119): nspr-4.8.6-1.el5_5.i386.rpm                    | 120 kB     00:00
(41/119): apr-1.2.7-11.el5_5.2.i386.rpm                  | 123 kB     00:00
(42/119): perl-Mail-DKIM-0.38-1.el5.rf.noarch.rpm        | 127 kB     00:00
(43/119): expat-devel-1.95.8-8.3.el5_5.3.i386.rpm        | 132 kB     00:00
(44/119): perl-NetAddr-IP-4.035-1.el5.rf.i386.rpm        | 135 kB     00:00
(45/119): perl-Mail-SPF-2.006-1.el5.rf.noarch.rpm        | 145 kB     00:00
(46/119): perl-HTML-Parser-3.68-1.el5.rf.i386.rpm        | 148 kB     00:00
(47/119): freetype-devel-2.2.1-28.el5_5.i386.rpm         | 148 kB     00:00
(48/119): perl-Encode-Detect-1.01-1.el5.rf.i386.rpm      | 149 kB     00:00
(49/119): cadaver-0.22.5-1.el5.rf.i386.rpm               | 159 kB     00:00
(50/119): nscd-2.5-49.el5_5.7.i386.rpm                   | 166 kB     00:00
(51/119): perl-Compress-Raw-Zlib-2.030-1.el5.rf.i386.rpm | 172 kB     00:00
(52/119): tzdata-java-2010l-1.el5.i386.rpm               | 177 kB     00:00
(53/119): postgresql-libs-8.1.22-1.el5_5.1.i386.rpm      | 196 kB     00:00
(54/119): cups-libs-1.3.7-18.el5_5.8.i386.rpm            | 199 kB     00:00
(55/119): perl-IP-Country-2.27-1.el5.rf.noarch.rpm       | 225 kB     00:00
(56/119): perl-DBD-mysql-4.014-1.el5.rf.i386.rpm         | 225 kB     00:00
(57/119): sudo-1.7.2p1-9.el5_5.i386.rpm                  | 230 kB     00:00
(58/119): nss-devel-3.12.8-1.el5.centos.i386.rpm         | 233 kB     00:00
(59/119): xdelta-1.1.4-1.el5.rf.i386.rpm                 | 234 kB     00:00
(60/119): re2c-0.13.5-1.el5.rf.i386.rpm                  | 238 kB     00:00
(61/119): dnsmasq-2.55-1.el5.rf.i386.rpm                 | 238 kB     00:00
(62/119): perl-Pod-Simple-3.14-1.el5.rf.noarch.rpm       | 241 kB     00:00
(63/119): perl-IO-Compress-2.030-2.el5.rf.noarch.rpm     | 243 kB     00:00
(64/119): openssh-server-4.3p2-41.el5_5.1.i386.rpm       | 269 kB     00:00
(65/119): dhclient-3.0.5-23.el5_5.2.i386.rpm             | 277 kB     00:00
(66/119): openssh-4.3p2-41.el5_5.1.i386.rpm              | 287 kB     00:00
(67/119): rpm-build-4.4.2.3-20.el5_5.1.i386.rpm          | 302 kB     00:00
(68/119): perl-Net-DNS-0.66-1.el5.rf.i386.rpm            | 309 kB     00:00
(69/119): freetype-2.2.1-28.el5_5.i386.rpm               | 311 kB     00:00
(70/119): perl-Net-SSLeay-1.36-1.el5.rf.i386.rpm         | 316 kB     00:00
(71/119): perl-DBD-Pg-2.17.1-1.el5.rf.i386.rpm           | 326 kB     00:00
(72/119): rsync-3.0.7-1.el5.rf.i386.rpm                  | 368 kB     00:00
(73/119): openais-0.80.6-16.el5_5.9.i386.rpm             | 394 kB     00:01
(74/119): kpartx-0.4.7-34.el5_5.6.i386.rpm               | 420 kB     00:01
(75/119): module-init-tools-3.3-0.pre3.1.60.el5_5.1.i386 | 426 kB     00:00
(76/119): openssh-clients-4.3p2-41.el5_5.1.i386.rpm      | 449 kB     00:00
(77/119): libbonobo-devel-2.16.0-1.1.el5_5.1.i386.rpm    | 498 kB     00:00
(78/119): libbonobo-2.16.0-1.1.el5_5.1.i386.rpm          | 502 kB     00:00
(79/119): kexec-tools-1.102pre-96.el5_5.4.i386.rpm       | 556 kB     00:00
(80/119): glibc-headers-2.5-49.el5_5.7.i386.rpm          | 602 kB     00:00
(81/119): perl-XML-LibXML-1.69-3.el5.rf.i386.rpm         | 611 kB     00:00
(82/119): fuse-ntfs-3g-2010.10.2-1.el5.rf.i386.rpm       | 616 kB     00:00
(83/119): libxml2-python-2.6.26-2.1.2.8.el5_5.1.i386.rpm | 702 kB     00:00
(84/119): libxml2-2.6.26-2.1.2.8.el5_5.1.i386.rpm        | 795 kB     00:01
(85/119): tzdata-2010l-1.el5.i386.rpm                    | 796 kB     00:01
(86/119): autofs-5.0.1-0.rc2.143.el5_5.5.i386.rpm        | 890 kB     00:01
(87/119): libsmbclient-3.0.33-3.29.el5_5.1.i386.rpm      | 907 kB     00:00
(88/119): rpm-libs-4.4.2.3-20.el5_5.1.i386.rpm           | 928 kB     00:00
(89/119): perl-DBI-1.615-1.el5.rf.i386.rpm               | 932 kB     00:00
(90/119): taglib-1.5-1.el5.rf.i386.rpm                   | 978 kB     00:00
(91/119): mrtg-2.16.4-2.el5.rf.i386.rpm                  | 1.0 MB     00:00
(92/119): spamassassin-3.3.1-3.el5.rf.i386.rpm           | 1.0 MB     00:00
(93/119): kernel-headers-2.6.18-194.17.4.el5.i386.rpm    | 1.0 MB     00:01
(94/119): nss-3.12.8-1.el5.centos.i386.rpm               | 1.1 MB     00:01
(95/119): nss-tools-3.12.8-1.el5.centos.i386.rpm         | 1.2 MB     00:01
(96/119): rpm-4.4.2.3-20.el5_5.1.i386.rpm                | 1.2 MB     00:01
(97/119): ksh-20100202-1.el5_5.1.i386.rpm                | 1.2 MB     00:01
(98/119): rpm-devel-4.4.2.3-20.el5_5.1.i386.rpm          | 1.2 MB     00:02
(99/119): glibc-devel-2.5-49.el5_5.7.i386.rpm            | 2.0 MB     00:03
(100/119): lftp-4.0.10-1.el5.rf.i386.rpm                 | 2.1 MB     00:01
(101/119): syslinux-4.03-1.el5.rf.i386.rpm               | 2.1 MB     00:01
(102/119): libxml2-devel-2.6.26-2.1.2.8.el5_5.1.i386.rpm | 2.1 MB     00:02
(103/119): nmap-5.21-1.el5.rf.i386.rpm                   | 2.6 MB     00:01
(104/119): device-mapper-multipath-0.4.7-34.el5_5.6.i386 | 2.8 MB     00:03
(105/119): postgresql-8.1.22-1.el5_5.1.i386.rpm          | 2.9 MB     00:03
(106/119): poppler-0.5.4-4.4.el5_5.14.i386.rpm           | 3.0 MB     00:04
(107/119): cups-1.3.7-18.el5_5.8.i386.rpm                | 3.1 MB     00:04
(108/119): xulrunner-devel-1.9.2.11-4.el5.i386.rpm       | 4.1 MB     00:06
(109/119): glibc-2.5-49.el5_5.7.i686.rpm                 | 5.3 MB     00:05
(110/119): kernel-devel-2.6.18-194.17.4.el5.i686.rpm     | 5.4 MB     00:06
(111/119): samba-client-3.0.33-3.29.el5_5.1.i386.rpm     | 5.7 MB     00:08
(112/119): subversion-1.6.13-0.1.el5.rf.i386.rpm         | 6.5 MB     00:04
(113/119): samba-common-3.0.33-3.29.el5_5.1.i386.rpm     | 6.7 MB     00:08
(114/119): perl-5.8.8-32.el5_5.2.i386.rpm                |  12 MB     00:15
(115/119): xulrunner-1.9.2.11-4.el5.i386.rpm             |  12 MB     00:16
(116/119): samba-3.0.33-3.29.el5_5.1.i386.rpm            |  16 MB     00:23
(117/119): glibc-common-2.5-49.el5_5.7.i386.rpm          |  16 MB     00:22
(118/119): kernel-2.6.18-194.17.4.el5.i686.rpm           |  17 MB     00:26
(119/119): java-1.6.0-openjdk-1.6.0.0-1.16.b17.el5.i386. |  37 MB     00:49
--------------------------------------------------------------------------------
Total                                           708 kB/s | 196 MB     04:43
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
perl is needed by (installed) rrdtool-1.4.4-1.wrl.i386
perl is needed by (installed) rrdtool-1.4.4-1.wrl.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?pro duct=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
Comment 1 seth vidal 2010-11-01 08:55:58 EDT
please run:
rpm -Va --nofiles --nodigest

I suspect there is already a problem in your rpmdb.